@import "../../../sass/variables";

.logo {
  margin: 0 0 5px 10px;
  width: 50px;
  height: 50px;
}
.header {
  height: $header-height;
  padding-bottom: 5px;
}

.header-left-section {
  float: left;
  height: calc(#{$header-height});
  .logo-name {
    position: relative;
    top: 5px;
    left: 5px;
  }
}

.header-right-section {
  float: right;
  height: inherit;
  .mat-badge {
    color: mat-color($mat-event, 500);
    margin: 22px 30px 0 0;
    float: left;
    fa-icon {
      position: relative;
      left: 5px;
      font-size: 1.8rem;
    }
  }
  .mat-tab-nav-bar {
    border-bottom: none;
  }
}
.cdk-overlay-connected-position-bounding-box {
  top: 14px !important;
}
.profile-btn {
	background: mat-color($mat-event, 300);
  margin: 12px 10px;
  padding: 8px 5px 8px 15px;
  border-radius: 15px;
  cursor: pointer;
	.profile-short-name {
    background: $app-white;
    padding: 5px;
    border-radius: 50%;
    position: relative;
    left: -11px;
    color: mat-color($mat-event, 400);
    text-transform: uppercase;
  }
  .profile-full-name {
		position: relative;
    left: -7px;
    color: mat-color($mat-event, 900);
    text-transform: capitalize;
	}
}

.profile-menu {
  position: relative;
  top: 30px;
  left: 12px;
  min-width: 110px !important;
  .mat-menu-item {
    font-size: 1.4rem;
    padding: 8px 10px;
    height: 32px;
    line-height: 1;
  }
  .mat-menu-content:not(:empty) {
    padding-top: 0;
    padding-bottom: 0;
  }
}

.notification-btn {
  width: 100%;
  float: left;
  cursor: pointer;
}

.notification-menu { 
  position: relative;
  top: 30px;
  left: 135px;
  min-width: 350px !important;
  max-width: 350px !important;
  max-height: 400px !important;
  ul {
    font-size: 1.2rem;
    list-style: none;
    padding: 0;
    margin: 0;
    li {
      position: relative;
      padding: 12px 15px 10px;
      border-bottom: 1px solid mat-color($mat-event, 50);
      span {
        width: calc(100% - 15px);
        display: inline-block;
      }
      fa-icon {
        position: absolute;
        top: 12px;
        right: 15px;
        cursor: pointer;
      }
    }
  }
  .mat-menu-content:not(:empty) {
    padding-top: 0;
    padding-bottom: 0;
  }
}